Subject: bug#44739: Version of Bison

From: Pádraig Brady <[email-masked]>
Date: Thu, 19 Nov 2020 21:32:18 +0000

On 19/11/2020 13:25, mike wrote:
> I found that I needed to upgrade to Bison v3.7.4 to avoid a build error
> in stdlib.h where @GNULIB_POSIX_MEMALIGN@ has not been converted by
> Bison. The check in your bootstrap program allows for an older version
> of Bison to be used which fails to do the necessary conversion.

I've version 3.5 here and didn't notice any issues
(though perhaps I don't need that functionality on my system).
I did a quick scan of gnulib, which suggests that >= v2.2 is the requirement?
https://lists.gnu.org/archive/html/bug-gnulib/2020-05/msg00021.html
Could you confirm which version of bison you had issues with?

thanks,
Pádraig